Read the account holder's profile
curl --request GET \
--url https://api.privue.ai/digilocker-simple/v1/sessions/{session_id}/user/profile \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.privue.ai/digilocker-simple/v1/sessions/{session_id}/user/profile"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.privue.ai/digilocker-simple/v1/sessions/{session_id}/user/profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 123,
"timestamp": 123,
"transaction_id": "<string>",
"data": {
"id": "<string>",
"name": "<string>",
"date_of_birth": "<string>",
"gender": "<string>",
"mobile": "<string>",
"email": "<string>",
"eaadhaar": true
}
}{
"code": 123,
"timestamp": 123,
"message": "<string>",
"transaction_id": "<string>"
}DigiLocker Simple
Read the account holder's profile
Read the DigiLocker account holder’s profile for a consented session.
GET
/
digilocker-simple
/
v1
/
sessions
/
{session_id}
/
user
/
profile
Read the account holder's profile
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
session_id from the initiate-session response
Pattern:
^[A-Za-z0-9_-]{8,64}$Response
Successful Response
Response to reading an account holder's profile.
HTTP status code of the response
Unix millisecond timestamp of when the response was produced
Identifier for this call. Quote it when raising a query about one
The DigiLocker account holder's profile.
Show child attributes
Show child attributes
⌘I
